### File

`packages/base/src/lib/util/xhr.ts`

### Description

XMLHttpRequest configuration having the following parameters url: the path to the request, mandatory method: possible http methods: GET, POST, PUT, PATCH, DELETE, etc responseType: arraybuffer, blob, document, json, text or empty string headers: object containing headers as name: value pairs body: request body withCredentials: True when credentials are to be included in a cross-origin request. False otherwise. timeout - time in milliseconds. A non-zero value will terminate the execution after the given time has passed

### Index

###### Properties
Optional body Optional headers Optional method Optional responseType Optional timeout url Optional withCredentials

### Properties

body
`body: `Document | XMLHttpRequestBodyInit``
Type : `Document | XMLHttpRequestBodyInit`
Optional

headers
`headers: `literal type``
Type : `literal type`
Optional

method
`method: `string``
Type : `string`
Optional

responseType
`responseType: `XMLHttpRequestResponseType``
Type : `XMLHttpRequestResponseType`
Optional

timeout
`timeout: `number``
Type : `number`
Optional

url
`url: `string``
Type : `string`

withCredentials
`withCredentials: `boolean``
Type : `boolean`
Optional

# results matching ""

# No results matching ""